# Uses of Class
org.eclipse.jdt.ui.text.JavaTextTools

Packages that use JavaTextTools
Package
Description
org.eclipse.jdt.ui.text
Application programming interfaces for interaction with the Eclipse Java User Interface text support.

## Uses of JavaTextTools in org.eclipse.jdt.ui.text

Constructors in org.eclipse.jdt.ui.text with parameters of type JavaTextTools
Modifier
Constructor
Description
``
`JavaSourceViewerConfiguration(JavaTextTools tools, ITextEditor editor)`
Deprecated.
As of 3.0, replaced by `JavaSourceViewerConfiguration(IColorManager, IPreferenceStore, ITextEditor, String)`